### Function

# Cogl DmaBufHandle new

#### Declaration [src]

    CoglDmaBufHandle*
    cogl_dma_buf_handle_new (
      CoglFramebuffer* framebuffer,
      int dmabuf_fd,
      int width,
      int height,
      int stride,
      int offset,
      int bpp,
      gpointer user_data,
      GDestroyNotify destroy_func
    )

#### Description

No description available.

This function is not directly available to language bindings.

#### Parameters

`framebuffer`

  Type: `CoglFramebuffer`

  No description available.

  The data is owned by the caller of the function.

`dmabuf_fd`

  Type: `int`

  No description available.

`width`

  Type: `int`

  No description available.

`height`

  Type: `int`

  No description available.

`stride`

  Type: `int`

  No description available.

`offset`

  Type: `int`

  No description available.

`bpp`

  Type: `int`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`destroy_func`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `CoglDmaBufHandle`

No description available.

The data is owned by the called function.